[Glibc-bsd-commits] r3858 - trunk/fuse4bsd/debian

Robert Millan rmh at alioth.debian.org
Mon Nov 14 17:51:51 UTC 2011


Author: rmh
Date: 2011-11-14 17:51:50 +0000 (Mon, 14 Nov 2011)
New Revision: 3858

Added:
   trunk/fuse4bsd/debian/fuse4bsd-dkms.fuse.init
Removed:
   trunk/fuse4bsd/debian/fuse4bsd.fuse.init
Modified:
   trunk/fuse4bsd/debian/changelog
   trunk/fuse4bsd/debian/rules
Log:
Move init script to fuse4bsd-dkms.

Modified: trunk/fuse4bsd/debian/changelog
===================================================================
--- trunk/fuse4bsd/debian/changelog	2011-11-13 14:56:15 UTC (rev 3857)
+++ trunk/fuse4bsd/debian/changelog	2011-11-14 17:51:50 UTC (rev 3858)
@@ -3,8 +3,9 @@
   * Make easier to backport:
     - Remove versioned build-dependency on libc.
     - Remove versioned build-dependency on freebsd-buildutils.
+  * Move init script to fuse4bsd-dkms.
 
- -- Robert Millan <rmh at debian.org>  Tue, 20 Sep 2011 21:14:53 +0200
+ -- Robert Millan <rmh at debian.org>  Mon, 14 Nov 2011 18:51:39 +0100
 
 fuse4bsd (0.3.9~pre1.20080208-4) unstable; urgency=low
 

Copied: trunk/fuse4bsd/debian/fuse4bsd-dkms.fuse.init (from rev 3857, trunk/fuse4bsd/debian/fuse4bsd.fuse.init)
===================================================================
--- trunk/fuse4bsd/debian/fuse4bsd-dkms.fuse.init	                        (rev 0)
+++ trunk/fuse4bsd/debian/fuse4bsd-dkms.fuse.init	2011-11-14 17:51:50 UTC (rev 3858)
@@ -0,0 +1,87 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:		fuse
+# Required-Start:	$local_fs
+# Required-Stop:	$local_fs
+# Default-Start:	S
+# Default-Stop:		0 1 6
+# Short-Description:	Filesystem in userspace
+### END INIT INFO
+
+PATH=/sbin:/bin
+DESC="filesystem in userspace"
+NAME=fuse
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	kldload fuse
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	kldunload fuse
+}
+
+case "$1" in
+  start)
+    log_daemon_msg "Starting $DESC " "$NAME"
+    do_start
+    case "$?" in
+		0|1) log_end_msg 0 ;;
+		2) log_end_msg 1 ;;
+	esac
+  ;;
+  stop)
+	log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) log_end_msg 0 ;;
+		2) log_end_msg 1 ;;
+	esac
+	;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:

Deleted: trunk/fuse4bsd/debian/fuse4bsd.fuse.init
===================================================================
--- trunk/fuse4bsd/debian/fuse4bsd.fuse.init	2011-11-13 14:56:15 UTC (rev 3857)
+++ trunk/fuse4bsd/debian/fuse4bsd.fuse.init	2011-11-14 17:51:50 UTC (rev 3858)
@@ -1,87 +0,0 @@
-#!/bin/sh
-### BEGIN INIT INFO
-# Provides:		fuse
-# Required-Start:	$local_fs
-# Required-Stop:	$local_fs
-# Default-Start:	S
-# Default-Stop:		0 1 6
-# Short-Description:	Filesystem in userspace
-### END INIT INFO
-
-PATH=/sbin:/bin
-DESC="filesystem in userspace"
-NAME=fuse
-SCRIPTNAME=/etc/init.d/$NAME
-
-# Load the VERBOSE setting and other rcS variables
-. /lib/init/vars.sh
-
-# Define LSB log_* functions.
-# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
-. /lib/lsb/init-functions
-
-#
-# Function that starts the daemon/service
-#
-do_start()
-{
-	kldload fuse
-}
-
-#
-# Function that stops the daemon/service
-#
-do_stop()
-{
-	kldunload fuse
-}
-
-case "$1" in
-  start)
-    log_daemon_msg "Starting $DESC " "$NAME"
-    do_start
-    case "$?" in
-		0|1) log_end_msg 0 ;;
-		2) log_end_msg 1 ;;
-	esac
-  ;;
-  stop)
-	log_daemon_msg "Stopping $DESC" "$NAME"
-	do_stop
-	case "$?" in
-		0|1) log_end_msg 0 ;;
-		2) log_end_msg 1 ;;
-	esac
-	;;
-  status)
-       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
-       ;;
-  restart|force-reload)
-	#
-	# If the "reload" option is implemented then remove the
-	# 'force-reload' alias
-	#
-	log_daemon_msg "Restarting $DESC" "$NAME"
-	do_stop
-	case "$?" in
-	  0|1)
-		do_start
-		case "$?" in
-			0) log_end_msg 0 ;;
-			1) log_end_msg 1 ;; # Old process is still running
-			*) log_end_msg 1 ;; # Failed to start
-		esac
-		;;
-	  *)
-	  	# Failed to stop
-		log_end_msg 1
-		;;
-	esac
-	;;
-  *)
-	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
-	exit 3
-	;;
-esac
-
-:

Modified: trunk/fuse4bsd/debian/rules
===================================================================
--- trunk/fuse4bsd/debian/rules	2011-11-13 14:56:15 UTC (rev 3857)
+++ trunk/fuse4bsd/debian/rules	2011-11-14 17:51:50 UTC (rev 3858)
@@ -69,7 +69,7 @@
 	dh_installchangelogs
 	dh_installdocs
 	dh_installdebconf
-	dh_installinit -pfuse4bsd --name=fuse -- start 20 S . stop 20 0 1 6 .
+	dh_installinit -pfuse4bsd-dkms --name=fuse -- start 20 S . stop 20 0 1 6 .
 	dh_installman
 	dh_link
 	dh_strip




More information about the Glibc-bsd-commits mailing list